library ieee;
use ieee.std_logic_1164.all;

entity MercurioIV_Golden_Top is
	port
	(
		CLOCK_50MHz	: in bit;
				
		DISP0_D		: out bit_vector(7 downto 0);
		DISP1_D		: out bit_vector(7 downto 0);

		KEY			: in bit_vector(11 downto 0);
		
		SA, SB		: in bit_vector(7 downto 0);
		SW				: in bit_vector(3 downto 0);

		LEDM_C 		: out bit_vector(4 downto 0);
		LEDM_R 		: out bit_vector(7 downto 0);
	);

end MercurioIV_Golden_Top;


architecture rtl of MercurioIV_Golden_Top is

begin

	-- Component Instantiation Statement
	
	FSM0: work.MercurioIV_FSM(estrutural)
		port map
		(
			--Entradas
			clk => KEY(4), 
			reset => KEY(10),
			Zero => SA(5),
			Op => SA(1 downto 0),
			Funct3 => SA(4 downto 2),
			-- Saidas
			PCWrite => ,
			AdrSrc => ,
			MemWrite => ,
			IRWrite => ,
			RegWrite => ,
			ResultSrc => ,
			ALUControl => ,
			ALUSrcA => ,
			ALUSrcB => ,
			ImmSrc => 
		);
	
end rtl;
